> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clinic and Doctor details

> 
### Overview
The Get Clinic and Doctor Details API provides a comprehensive list of clinics and doctors associated with those clinics for a business. This API is designed to retrieve detailed information about clinics, the doctors working at each clinic, and the overarching business entity.
### Endpoint
**URL:** `{{HOST}}/dr/v1/business/entities`

**Method:** GET
### Request Parameters
This endpoint does not require any parameters. The auth header contains business-id information which will be used to fetch the details.
### Response Parameters
| Parameter | Type | Description |
| --- | --- | --- |
| status | integer | HTTP status code of the response |
| data | object | Response data object |
| data.clinics | array | List of clinic objects |
| data.clinics[].clinic_id | string | Unique identifier of the clinic |
| data.clinics[].name | string | Name of the clinic |
| data.clinics[].doctors | array | List of doctor IDs associated with the clinic |
| data.doctors | array | List of doctor objects |
| data.doctors[].name | string | Name of the doctor |
| data.doctors[].doctor_id | string | Unique identifier of the doctor |
| data.business | object | Details of the business entity |
| data.business.business_id | string | Unique identifier of the business |
| data.business.name | string | Name of the business |



## OpenAPI

````yaml get /dr/v1/business/entities
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/business/entities:
    get:
      tags:
        - Doctor and clinic API
      summary: Get Clinic and Doctor details
      description: >-

        ### Overview

        The Get Clinic and Doctor Details API provides a comprehensive list of
        clinics and doctors associated with those clinics for a business. This
        API is designed to retrieve detailed information about clinics, the
        doctors working at each clinic, and the overarching business entity.

        ### Endpoint

        **URL:** `{{HOST}}/dr/v1/business/entities`


        **Method:** GET

        ### Request Parameters

        This endpoint does not require any parameters. The auth header contains
        business-id information which will be used to fetch the details.

        ### Response Parameters

        | Parameter | Type | Description |

        | --- | --- | --- |

        | status | integer | HTTP status code of the response |

        | data | object | Response data object |

        | data.clinics | array | List of clinic objects |

        | data.clinics[].clinic_id | string | Unique identifier of the clinic |

        | data.clinics[].name | string | Name of the clinic |

        | data.clinics[].doctors | array | List of doctor IDs associated with
        the clinic |

        | data.doctors | array | List of doctor objects |

        | data.doctors[].name | string | Name of the doctor |

        | data.doctors[].doctor_id | string | Unique identifier of the doctor |

        | data.business | object | Details of the business entity |

        | data.business.business_id | string | Unique identifier of the business
        |

        | data.business.name | string | Name of the business |
      operationId: GetClinicandDoctordetails
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                type: string
                example:
                  status_code: 200
                  success: true
                  data:
                    clinics:
                      - clinic_id: '{{clinic_id1}}'
                        name: Skin clinic derma 1
                        doctors:
                          - '12345678901234'
                          - '11987654321765'
                      - clinic_id: '{{clinic_id2}}'
                        name: family clinic 2
                        doctors:
                          - 87198101903i101
                    doctors:
                      - name: Dr. GP Physician
                        doctor_id: '12345678901234'
                        pic: https://abc.eka.care/doctor-avatar/123456789
                      - name: Dr. ABC XYZ
                        doctor_id: '11987654321765'
                        pic: https://abc.eka.care/doctor-avatar/123456789
                      - name: Dr. Ortho Doctor
                        doctor_id: 87198101903i101
                        pic: https://abc.eka.care/doctor-avatar/123456789
                    business:
                      business_id: '{{business_id}}'
                      name: '{{business_name}}'
        '403':
          description: Forbidden
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: integer
                    example: 403
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      Access denied. Insufficient permissions to retrieve
                      business data.
              example:
                data: {}
                status_code: 403
                success: false
                error:
                  code: UNAUTHORIZED_ACCESS
                  message: >-
                    Access denied. Insufficient permissions to retrieve business
                    data.
        '404':
          description: Not Found
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: integer
                    example: 404
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Business not found with the provided business_id.
              example:
                data: {}
                status_code: 404
                success: false
                error:
                  code: BUSINESS_NOT_FOUND
                  message: Business not found with the provided business_id.
        '500':
          description: Internal Server Error
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: integer
                    example: 500
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      An unexpected error occurred while processing your
                      request.
              example:
                data: {}
                status_code: 500
                success: false
                error:
                  code: SERVER_ERROR
                  message: An unexpected error occurred on the server
      deprecated: false

````